<template>
    <div class="enterprise-panel">
        <div class="enterprise-function" @click="showWarnDialog()">
            <img src="@/assets/images/map-pages/icon/map/warn.png" alt="" width="32px">
        </div>
        <div class="enterprise-function" @click="showStatisDialog()">
            <img src="@/assets/images/map-pages/icon/map/company.png" alt="" width="32px">
        </div>
        <Dialog ref="warnDialog" title="企业预警报警分类统计">
            <warn></warn>
        </Dialog>
        <Dialog ref="indexStatisticsDialog" title="企业指标分类统计">
            <index-statistics></index-statistics>
        </Dialog>
    </div>
</template>

<script>
import Dialog from '../../views/popup/Dialog'
import Warn from './components/Warn'
import IndexStatistics from './components/IndexStatistics'
export default {
  name: 'Enterprise',
  components: {
    Dialog,
    Warn,
    IndexStatistics
  },
  data () {
    return {
      comp: Warn
    }
  },
  methods: {
    // 图标 控制内容的展示与隐藏
    show () {
      this.legendControl = !this.legendControl
    },
    showWarnDialog () {
      this.$refs.warnDialog.show()
    },
    showStatisDialog () {
      this.$refs.indexStatisticsDialog.show()
    }
  }
}
</script>

<style lang="less" scoped>
.enterprise-panel{
    position: absolute;
    right: 5px;
    top:5px;
    z-index: 9999;

    .enterprise-function{
        width: 40px;
        float: left;
        cursor: pointer;
    }
}
</style>
